### org.jfree.layouting.input.style

# Class CSSFontFaceRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSDeclarationRule`
    - - `org.jfree.layouting.input.style.CSSFontFaceRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSFontFaceRule`
`extends CSSDeclarationRule`

Defines a new font by either giving a set of properties which describe the font (so that the system can find a matching local font) or by providing an URL from where to download the font file. For now, this is not implemented. Maybe later - this would add an interesting note to this library.

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSFontFaceRule(StyleSheet parentStyle, StyleRule parentRule)`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

  `clear`, `clone`, `getImportantValues`, `getPropertyCSSValue`, `getPropertyKeysAsArray`, `getStyleValues`, `isEmpty`, `isImportant`, `removeProperty`, `setImportant`, `setPropertyValue`, `setPropertyValue`, `setPropertyValueAsString`, `setPropertyValueAsString`

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSFontFaceRule

    public CSSFontFaceRule(StyleSheet parentStyle,
                           StyleRule parentRule)